package com.yidian.common

/**
 * Describe:生活圈项目如果名称和之前的有重复的，就在后面加上"_LIFE_CIRCLE"
 */
class XRouterPathConstants {
  companion object {
    const val ParamsKey = "ParamsMap"

    const val NEWS_MAIN = "/MainActivity"
    const val NEWS_CONTENT = "/news"
    // 用户协议 & 隐私政策
    const val PROTOCOL = "/protocol"
    const val SUPPORT = "/productSupport"

    const val FLASH = "/flash"
    // 登录生活圈
    const val LOGIN_LIFE_CIRCLE = "/loginLifeCircle"
    // 门店管理
    const val STORE_MANAGEMENT = "/storeManagement"
    // 选择门店
    const val CHOOSE_STORE_ACTIVITY = "/chooseStoreActivity"
    const val LIFE_ACCOUNT_IDENTITY = "/lifeAccountIdentity"
    const val LIFE_ACCOUNT_AUTH = "/lifeAccountAuth"
    const val ID_CARD_TEST = "/idCardTest"
    const val LIFE_ACCOUNT_ENTERPRISE_CERTIFICATION = "/lifeAccountEnterpriseCertification"
    const val LIFE_ACCOUNT_PERSONAL_AUTH = "/lifeAccountPersonalAuth"
    const val LIFE_ACCOUNT_CREATE = "/lifeAccountCreate"
    const val LIFE_ACCOUNT_PERSONAL_AUTH_COMPLETE = "/lifeAccountPersonalAuthComplete"
    const val LIFE_ACCOUNT_ENTERPRISE_AUTH_COMPLETE = "/lifeAccountEnterpriseAuthComplete"
    const val LIFE_ACCOUNT_ENTERPRISE_AUTH = "/lifeAccountEnterpriseAuth"
    const val LIFE_ACCOUNT_CREATE_COMPLETE = "/lifeAccountCreateComplete"
    // 选择职业标签
    const val CHOOSE_CAREER = "/chooseCareerActivity"

    // 人员管理 —— 我的员工
    const val PERSONAL_MY_STAFF = "/personal/myStaffActivity"

    // 人员管理 —— 管理员信息
    const val PERSONAL_MANAGER_INFO = "/personal/ManagerInfoActivity"

    // 人员管理 —— 管理员变更
    const val PERSONAL_MANAGER_CHANGE = "/personal/ManagerChangeActivity"

    // 人员管理 —— 员工信息
    const val PERSONAL_STAFF_INFO = "/personal/StaffInfoActivity"

    // 人员管理 —— 员工管理
    const val PERSONAL_STAFF_MANAGE = "/personal/StaffManageActivity"

    // 人员管理 —— 添加员工
    const val PERSONAL_ADD_STAFF = "/personal/AddStaffActivity"

    // 系统设置 —— 设置
    const val SYSTEM_SETTING = "/setting/SettingActivity"

    // 商户管理中心
    const val MERCHANT_CENTER = "/merchantCenter"
    // 商户基本信息
    const val MERCHANT_INFO = "/merchantInfo"
    // 生活号修改名称
    const val LIFE_ACCOUNT_MODIFY_NAME = "/lifeAccountModifyName"
    // 商户认证信息
    const val MERCHANT_AUTH_INFO = "/merchantAuthInfo"

    // 钱包 —— 我的钱包
    const val MY_WALLET = "/wallet/MyWalletActivity"

    // 钱包 —— 验证身份
    const val VERIFY_IDENTITY = "/wallet/VerifyIdentityActivity"

    // 钱包 —— 微信授权
    const val WECHAT_AUTH = "/wallet/WeChatAuthActivity"

    // 钱包 —— 提现
    const val WITHDRAW = "/wallet/WithdrawActivity"

    // 钱包 —— 交易列表
    const val TRANSACTION_LIST = "/wallet/TransactionListActivity"

    // 钱包 —— 交易明细
    const val TRANSACTION_DETAILS = "/wallet/TransactionDetailsActivity"

    // 钱包 —— 常见问题
    const val COMMON_PROBLEM = "/wallet/CommonProblemActivity"

    // xbird —— 通用webView
    const val COMMON_WEB_VIEW_ACTIVITY = "/xbirdbusiness/CommonWebViewActivity"

    // 商品 —— 优惠券选择类目
    const val CHOOSE_CATEGORY_ACTIVITY = "/commodity/ChooseCategoryActivity"

    // 商品 —— 商品管理
    const val COMMODITY_MANAGEMENT = "/commodity/CommodityManagement"

    // 管理中心-认证管理
    const val MERCHANT_AUTH_MANAGEMENT = "/merchantAuthManagement"
  }
}
